/*
  C code for manual49 example.
  This file is use to create a Shared Library.

  Use the following commands to make a shared library on HP-UX machines.
  cc -Aa +z -c manual49.c
  ld -b -o manual49.sl manual49.o

  Use the following commands to make a shared library on Solaris machines.
  cc -K PIC -G -o manual49.so manual49.c

  Use the following commands to make a dynamic link library on Windows machines.
  (This assumes MS Visual C++ 2.0).
    cl -c -W3 -Zi -DWIN32 manual49.c
	link /out:manual49.dll /dll /machine:i386 /subsystem:windows \
  		 /def:manual49.def manual49.obj libc.lib 

*/
#include <stdlib.h>


long myFunc(arraySize, array)
	 long arraySize;
	 double *array;
{
	long i;

	for(i=0; i<arraySize; i++, array++){
		*array += 1.0;
	} /* for */

	return(arraySize);
} /* end myFunc() */


#ifdef WIN32
#include <windows.h>
BOOL APIENTRY DllMain( HINSTANCE hModule, DWORD reason, LPVOID reserved ) {
	return TRUE;
}
#endif
